'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const core = require('./core-b1487292.js');

const Icon = class {
    constructor(hostRef) {
        core.registerInstance(this, hostRef);
        this.name = 'hexagon';
    }
    get xlinkHref() {
        return core.getAssetPath('./icons/nimiq-style.icons.svg') + `#nq-${this.name}`;
    }
    render() {
        return (core.h("svg", { class: "nim-icon" }, core.h("use", { xlinkHref: this.xlinkHref })));
    }
    static get assetsDirs() { return ["icons"]; }
    static get style() { return ":host {\n  display: inline-block;\n}\n\nsvg.nim-icon {\n  width: 100%;\n  height: 100%;\n}"; }
};

exports.nim_icon = Icon;
